Index: src/edu/ucsb/nceas/metacat/DocumentImpl.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DocumentImpl.java	(revision 2662)
+++ src/edu/ucsb/nceas/metacat/DocumentImpl.java	(revision 2663)
@@ -52,6 +52,7 @@
 
 import edu.ucsb.nceas.dbadapter.AbstractDatabase;
 
+import org.apache.log4j.Logger;
 import org.xml.sax.ContentHandler;
 import org.xml.sax.DTDHandler;
 import org.xml.sax.EntityResolver;
@@ -124,6 +125,8 @@
     private ElementNode rootNode = null;
     private TreeSet nodeRecordList = null;
     
+    private static Logger logMetacat = Logger.getLogger(DocumentImpl.class);
+
     /**
      * Default constructor
      *
@@ -543,10 +546,10 @@
      private static String checkRevInXMLDocuments(String docid, int userSpecifyRev) throws Exception
      {
         String action = null;
-        MetaCatUtil.debugMessage("The user specifyRev: " + userSpecifyRev, 30);
+        logMetacat.info("The user specifyRev: " + userSpecifyRev);
         // Revision for this docid in current database
         int revInDataBase =DBUtil.getLatestRevisionInDocumentTable(docid);
-        MetaCatUtil.debugMessage("The rev in data base: " + revInDataBase, 30);
+        logMetacat.info("The rev in data base: " + revInDataBase);
         // String to store the revision
         String rev = null;
 
@@ -598,14 +601,14 @@
          }
          catch (SQLException e)
          {
-           MetaCatUtil.debugMessage("Local rev for docid "+ docid + " could not "+
-                                  " be found because " + e.getMessage(), 45);
+           logMetacat.error("Local rev for docid "+ docid + " could not "+
+                                  " be found because " + e.getMessage());
            MetacatReplication.replErrorLog("Docid "+ docid + " could not be "+
                    "written because error happend to find it's local revision");
            throw new Exception (e.getMessage());
          }
-         MetaCatUtil.debugMessage("rev list in xml_revision table for docid "+ docid + " is "+
-                                 localrev.toString(), 45);
+         logMetacat.info("rev list in xml_revision table for docid "+ docid + " is "+
+                                 localrev.toString());
          
          // if the rev is in the xml_revision, it throws a exception
          if (localrev.contains(new Integer(rev)))
@@ -942,10 +945,10 @@
         while (it.hasNext()) {
 
             NodeRecord currentNode = (NodeRecord) it.next();
-            util.debugMessage("[Got Node ID: " + currentNode.nodeid + " ("
+            logMetacat.info("[Got Node ID: " + currentNode.nodeid + " ("
                     + currentNode.parentnodeid + ", " + currentNode.nodeindex
                     + ", " + currentNode.nodetype + ", " + currentNode.nodename
-                    + ", " + currentNode.nodedata + ")]", 50);
+                    + ", " + currentNode.nodedata + ")]");
             // Print the end tag for the previous node if needed
             //
             // This is determined by inspecting the parent nodeid for the
@@ -967,8 +970,8 @@
                 if (currentNode.parentnodeid != currentElement.nodeid) {
                     while (currentNode.parentnodeid != currentElement.nodeid) {
                         currentElement = (NodeRecord) openElements.pop();
-                        util.debugMessage("\n POPPED: "
-                                + currentElement.nodename, 50);
+                        logMetacat.info("\n POPPED: "
+                                + currentElement.nodename);
                         if (previousNodeWasElement) {
                             out.print(">");
                             previousNodeWasElement = false;
@@ -1015,7 +1018,7 @@
                 }
                 firstElement = false;
                 openElements.push(currentNode);
-                util.debugMessage("\n PUSHED: " + currentNode.nodename, 50);
+                logMetacat.info("\n PUSHED: " + currentNode.nodename);
                 previousNodeWasElement = true;
                 if (currentNode.nodeprefix != null) {
                     out.print("<" + currentNode.nodeprefix + ":"
@@ -1169,7 +1172,7 @@
         // Print the final end tag for the root element
         while (!openElements.empty()) {
             NodeRecord currentElement = (NodeRecord) openElements.pop();
-            util.debugMessage("\n POPPED: " + currentElement.nodename, 50);
+            logMetacat.info("\n POPPED: " + currentElement.nodename);
             if (currentElement.nodeprefix != null) {
                 out.print("</" + currentElement.nodeprefix + ":"
                         + currentElement.nodename + ">");
@@ -1212,11 +1215,11 @@
         /*try {
             doc = new DocumentIdentifier(docid);
         } catch (AccessionNumberException e){
-            MetaCatUtil.debugMessage("AccessionNumber Exception while "
+            logMetacat.info("AccessionNumber Exception while "
                                      + " inserting path index "
                                      + "in DocumentImpl.buildIndex for "
                                      + "document " + docid, 10);
-            MetaCatUtil.debugMessage(e.getMessage(), 10);
+            logMetacat.info(e.getMessage(), 10);
         }*/
 
         // Opening separate db connection for deleting and writing
@@ -1273,17 +1276,17 @@
 
             dbConn.commit();
         } catch (SQLException e) {
-            MetaCatUtil.debugMessage("SQL Exception while inserting path index "
+            logMetacat.error("SQL Exception while inserting path index "
                                      + "in DocumentImpl.buildIndex for "
-                                     + "document " + docid, 10);
-            MetaCatUtil.debugMessage(e.getMessage(), 10);
+                                     + "document " + docid);
+            logMetacat.error(e.getMessage());
             try {
                 dbConn.rollback();
             } catch (SQLException sqle) {
-                MetaCatUtil.debugMessage("Error while rolling back "
+                logMetacat.error("Error while rolling back "
                                          + "commit in DocumentImpl"
                                          + ".buildIndex" + "\n"
-                                         + sqle.getMessage(), 10);
+                                         + sqle.getMessage());
             }
         } finally {
             DBConnectionPool.returnDBConnection(dbConn, serialNumber);
@@ -1351,23 +1354,22 @@
             pstmt.close();
             dbConn.increaseUsageCount(1);
 
-            MetaCatUtil.debugMessage("Indexed " + count
-                                              + " records from xml_nodes",
-                                              20);
+            logMetacat.warn("Indexed " + count
+                                              + " records from xml_nodes");
 
             dbConn.commit();
         } catch (SQLException e) {
-          MetaCatUtil.debugMessage("SQL Exception while inserting path index "
+          logMetacat.error("SQL Exception while inserting path index "
                                    + "in DocumentImpl.buildIndex for "
-                                   + "document " + docid, 10);
-          MetaCatUtil.debugMessage(e.getMessage(), 10);
+                                   + "document " + docid);
+          logMetacat.error(e.getMessage());
           try {
               dbConn.rollback();
           } catch (SQLException sqle) {
-              MetaCatUtil.debugMessage("Error while rolling back "
+              logMetacat.error("Error while rolling back "
                                        + "commit in DocumentImpl"
                                        + ".buildIndex" + "\n"
-                                       + sqle.getMessage(), 10);
+                                       + sqle.getMessage());
           }
       } finally {
           DBConnectionPool.returnDBConnection(dbConn, serialNumber);
@@ -1400,7 +1402,7 @@
                 if (current.nodetype.equals("ATTRIBUTE")) {
                     currentName = "@" + currentName;
                 }
-                MetaCatUtil.debugMessage("A: " + currentName +"\n", 60);
+                logMetacat.debug("A: " + currentName +"\n");
                 pathList.put(currentName, new PathIndexEntry(leafNodeId,
                     currentName, docid, doctype, parentId));
             }
@@ -1412,13 +1414,13 @@
             }
             String path = current.getNodeName() + children;
             if (!children.equals("")) {
-                MetaCatUtil.debugMessage("B: " + path +"\n", 60);
+                logMetacat.debug("B: " + path +"\n");
                 pathList.put(path, new PathIndexEntry(leafNodeId, path, docid,
                     doctype, parentId));
             }
             if (id == rootNodeId) {
                 String fullPath = '/' + path;
-                MetaCatUtil.debugMessage("C: " + fullPath +"\n", 60);
+                logMetacat.debug("C: " + fullPath +"\n");
                 pathList.put(fullPath, new PathIndexEntry(leafNodeId, fullPath,
                     docid, doctype, parentId));
             }
@@ -1437,8 +1439,8 @@
         //String familyId = MetaCatUtil.getDocIdFromString(docid);
         String familyId = docid;
         String sql = "DELETE FROM xml_index WHERE docid LIKE ?";
-        MetaCatUtil.debugMessage(sql, 55);
-        MetaCatUtil.debugMessage("SQL is: " + sql, 60);
+        logMetacat.debug(sql);
+        logMetacat.debug("SQL is: " + sql);
 
         PreparedStatement pstmt = conn.prepareStatement(sql);
 
@@ -1449,8 +1451,8 @@
         pstmt.setString(1, familyId);
         int rows = pstmt.executeUpdate();
         pstmt.close();
-        MetaCatUtil.debugMessage("Deleted " + rows + " rows from xml_index " +
-            "for document " + docid, 55);
+        logMetacat.debug("Deleted " + rows + " rows from xml_index " +
+            "for document " + docid);
     }
 
     /**
@@ -1479,8 +1481,8 @@
         Iterator it = pathList.values().iterator();
         while (it.hasNext()) {
             PathIndexEntry entry = (PathIndexEntry)it.next();
-            MetaCatUtil.debugMessage("Inserting: " + entry.nodeId +
-                " (" + entry.parentId + "): " + entry.path, 60);
+            logMetacat.debug("Inserting: " + entry.nodeId +
+                " (" + entry.parentId + "): " + entry.path);
             pstmt.setLong(1, entry.nodeId);
             pstmt.setString(2, entry.path);
             pstmt.setLong(5, entry.parentId);
@@ -1590,8 +1592,8 @@
             throw notFound;
         } catch (Exception e) {
 
-            MetaCatUtil.debugMessage("error in DocumentImpl.getDocumentInfo: "
-                    + e.getMessage(), 30);
+            logMetacat.error("error in DocumentImpl.getDocumentInfo: "
+                    + e.getMessage());
             throw e;
         }
 
@@ -1645,7 +1647,7 @@
                     this.docHomeServer = MetaCatUtil
                             .getLocalReplicationServerName();
                 }
-                MetaCatUtil.debugMessage("server: " + docHomeServer, 50);
+                logMetacat.info("server: " + docHomeServer);
 
             }
             pstmt.close();
@@ -1668,8 +1670,8 @@
                 pstmt.close();
             }
         } catch (SQLException e) {
-            MetaCatUtil.debugMessage("error in DocumentImpl.getDocumentInfo: "
-                    + e.getMessage(), 30);
+            logMetacat.error("error in DocumentImpl.getDocumentInfo: "
+                    + e.getMessage());
             e.printStackTrace(System.out);
             throw new McdbException("Error accessing database connection in "
                     + "DocumentImpl.getDocumentInfo: ", e);
@@ -1677,9 +1679,9 @@
             try {
                 pstmt.close();
             } catch (SQLException ee) {
-                MetaCatUtil.debugMessage(
+                logMetacat.error(
                         "error in DocumentImple.getDocumentInfo: "
-                                + ee.getMessage(), 30);
+                                + ee.getMessage());
             } finally {
                 DBConnectionPool.returnDBConnection(dbconn, serialNumber);
             }
@@ -1729,8 +1731,8 @@
                     + ")";
 
         }
-        MetaCatUtil.debugMessage("The final query to select part node tree: "
-                + sql, 25);
+        logMetacat.info("The final query to select part node tree: "
+                + sql);
 
         try {
             dbconn = DBConnectionPool
@@ -1770,9 +1772,9 @@
             try {
                 pstmt.close();
             } catch (SQLException ee) {
-                MetaCatUtil.debugMessage(
+                logMetacat.error(
                         "error in DocumentImpl.getPartNodeRecordList: "
-                                + ee.getMessage(), 30);
+                                + ee.getMessage());
             } finally {
                 DBConnectionPool.returnDBConnection(dbconn, serialNumber);
             }
@@ -1819,8 +1821,8 @@
             throw notFound;
         } catch (Exception e) {
 
-            MetaCatUtil.debugMessage("error in DocumentImpl.getDocumentInfo: "
-                    + e.getMessage(), 30);
+            logMetacat.error("error in DocumentImpl.getDocumentInfo: "
+                    + e.getMessage());
         }
         //System.out.println("in getNodeREcorelist !!!!!!!!!!!3");
         try {
@@ -1867,9 +1869,9 @@
             try {
                 pstmt.close();
             } catch (SQLException ee) {
-                MetaCatUtil.debugMessage(
+                logMetacat.error(
                         "error in DocumentImpl.getNodeRecordList: "
-                                + ee.getMessage(), 30);
+                                + ee.getMessage());
             } finally {
                 DBConnectionPool.returnDBConnection(dbconn, serialNumber);
             }
@@ -1946,12 +1948,12 @@
                 
             } else if (action.equals("UPDATE")) {
                 int thisrev = DBUtil.getLatestRevisionInDocumentTable(docid);
-                MetaCatUtil.debugMessage("this revsion is: " + thisrev, 40);
+                logMetacat.info("this revsion is: " + thisrev);
                 // Save the old document publicaccessentry in a backup table
                 String accNumber = docid+MetaCatUtil.getOption("accNumSeparator")+thisrev;
                 thisdoc = new DocumentImpl(accNumber, false);
                 DocumentImpl.archiveDocAndNodesRevision(connection, docid, user, thisdoc);
-                MetaCatUtil.debugMessage("after archiveDoc", 30);
+                logMetacat.info("after archiveDoc");
                 //if the updated vesion is not greater than current one,
                 //throw it into a exception
                 if (rev <= thisrev) {
@@ -1961,17 +1963,17 @@
                     //set the user specified revision
                     thisrev = rev;
                 }
-                MetaCatUtil.debugMessage("final revsion is: " + thisrev, 40);
+                logMetacat.info("final revsion is: " + thisrev);
                 boolean useXMLIndex = (new Boolean(MetaCatUtil
                         .getOption("usexmlindex"))).booleanValue();
                 if (useXMLIndex) {
-                    MetaCatUtil.debugMessage("before delete", 40);
+                    logMetacat.info("before delete");
                     // Delete index for the old version of docid
                     // The new index is inserting on the next calls to DBSAXNode
                     pstmt = connection
                             .prepareStatement("DELETE FROM xml_index WHERE docid='"
                                     + this.docid + "'");
-                    MetaCatUtil.debugMessage("after delete", 40);
+                    logMetacat.info("after delete");
                     // Increase dbconnection usage count
                     connection.increaseUsageCount(1);
                   
@@ -2121,13 +2123,13 @@
     {
         // NEW - WHEN CLIENT ALWAYS PROVIDE ACCESSION NUMBER INCLUDING REV IN IT
         //MetaCatUtil util = new MetaCatUtil();
-        MetaCatUtil.debugMessage("conn usage count before writting: "
-                + conn.getUsageCount(), 50);
+        logMetacat.info("conn usage count before writting: "
+                + conn.getUsageCount());
         AccessionNumber ac = new AccessionNumber(accnum, action);
         String docid = ac.getDocid();
         String rev = ac.getRev();
-        MetaCatUtil.debugMessage("action: " + action + " servercode: "
-                + serverCode + " override: " + override, 10);
+        logMetacat.warn("action: " + action + " servercode: "
+                + serverCode + " override: " + override);
 
         if ((serverCode != 1 && action.equals("UPDATE")) && !override) {
             // if this document being written is not a resident of this server
@@ -2292,10 +2294,10 @@
               pstmt.close();
               conn.increaseUsageCount(1);
           } catch (Exception e){
-              MetaCatUtil.debugMessage("Error in deleting enteries from "
+              logMetacat.error("Error in deleting enteries from "
                                        + "xml_queryresult where docid is "
                                        + docid + " in DBQuery.write: "
-                                       + e.getMessage(), 20);
+                                       + e.getMessage());
            }
 
         }
@@ -2307,8 +2309,8 @@
         ForceReplicationHandler frh = new ForceReplicationHandler(accnum,
                 action, true, null);
 
-        MetaCatUtil.debugMessage("Conn Usage count after writting: "
-                + conn.getUsageCount(), 50);
+        logMetacat.info("Conn Usage count after writting: "
+                + conn.getUsageCount());
         return (accnum);
     }
 
@@ -2349,15 +2351,15 @@
         String docType = null;
         String docName = null;
         String catalogId = null;
-        MetaCatUtil.debugMessage("user in replication" + user, 30);
+        logMetacat.info("user in replication" + user);
         // Docid without revision
         String docid = MetaCatUtil.getDocIdFromAccessionNumber(accnum);
         // Revision specified by user (int)
         int userSpecifyRev = MetaCatUtil.getRevisionFromAccessionNumber(accnum);
-        MetaCatUtil.debugMessage("The user specifyRev: " + userSpecifyRev, 30);
+        logMetacat.info("The user specifyRev: " + userSpecifyRev);
         // Revision for this docid in current database
         int revInDataBase = DBUtil.getLatestRevisionInDocumentTable(docid);
-        MetaCatUtil.debugMessage("The rev in data base: " + revInDataBase, 30);
+        logMetacat.info("The rev in data base: " + revInDataBase);
         // String to store the revision
         String rev = (new Integer(userSpecifyRev)).toString();
 
@@ -2383,10 +2385,9 @@
         // Get server code again
         serverCode = getServerCode(homeServer);
 
-        MetaCatUtil
-                .debugMessage("Document " + docid + "." + rev + " " + action
+        logMetacat.warn("Document " + docid + "." + rev + " " + action
                         + " into local" + " metacat with servercode: "
-                        + serverCode, 10);
+                        + serverCode);
 
         // insert into xml_nodes table
         XMLReader parser = null;
@@ -2465,9 +2466,9 @@
             MetacatReplication.replErrorLog("Failed to " + "create access "
                     + "rule for package: " + accnum + " because "
                     + ee.getMessage());
-            MetaCatUtil.debugMessage("Failed to  " + "create access "
+            logMetacat.error("Failed to  " + "create access "
                     + "rule for package: " + accnum + " because "
-                    + ee.getMessage(), 30);
+                    + ee.getMessage());
         }
         //Force replication to other server
         if (!timedReplication)
@@ -2536,9 +2537,9 @@
                 dbconn.rollback();
                 dbconn.setAutoCommit(true);
             }
-            MetaCatUtil.debugMessage(
+            logMetacat.error(
                     "Error in DocumentImple.runRelationAndAccessHandler "
-                            + e.getMessage(), 30);
+                            + e.getMessage());
             throw e;
         } finally {
             if (dbconn != null) {
@@ -2589,9 +2590,8 @@
             pstate.close();
         }//try
         catch (SQLException e) {
-            MetaCatUtil.debugMessage("error in DocumentImpl."
-                    + "getDocTypeFromDBForCurrentDocument " + e.getMessage(),
-                    30);
+            logMetacat.error("error in DocumentImpl."
+                    + "getDocTypeFromDBForCurrentDocument " + e.getMessage());
             throw e;
         }//catch
         finally {
@@ -2598,8 +2598,8 @@
             pstate.close();
             DBConnectionPool.returnDBConnection(dbConnection, serialNumber);
         }//
-        MetaCatUtil.debugMessage("The current doctype from db is: "
-                + docoumentType, 35);
+        logMetacat.info("The current doctype from db is: "
+                + docoumentType);
         return docoumentType;
     }
 
@@ -2654,7 +2654,7 @@
               isXML = false;
             }
 
-            MetaCatUtil.debugMessage("Start deleting doc " + docid + "...", 20);
+            logMetacat.warn("Start deleting doc " + docid + "...");
             // check for 'write' permission for 'user' to delete this document
             if (!hasAllPermission(user, groups, accnum)) {
                 if(!MetaCatUtil.isAdministrator(user, groups)){
@@ -2760,9 +2760,8 @@
             conn.setAutoCommit(true);
 
         } catch (Exception e) {
-            MetaCatUtil.debugMessage("error in DocumentImpl.delete: "
-                    + e.getMessage(), 30);
-    e.printStackTrace();
+            logMetacat.error("error in DocumentImpl.delete: "
+                    + e.getMessage());
             throw e;
         } finally {
 
@@ -2796,8 +2795,8 @@
       {
         type = result.getString(1);
       }
-      MetaCatUtil.debugMessage("The type of deleting docid " + docidWithoutRev +
-                               " is " + type, 2);
+      logMetacat.warn("The type of deleting docid " + docidWithoutRev +
+                               " is " + type);
       return type;
     }
 
@@ -2862,7 +2861,7 @@
             String parserName = MetaCatUtil.getOption("saxparser");
             parser = XMLReaderFactory.createXMLReader(parserName);
             if (ruleBase != null && ruleBase.equals(EML200)) {
-                MetaCatUtil.debugMessage("eml 2.0.0 parser", 20);
+                logMetacat.warn("eml 2.0.0 parser");
                 chandler = new Eml200SAXHandler(dbconn, action, docid, rev,
                         user, groups, pub, serverCode, createDate, updateDate);
                 chandler.setIsRevisionDoc(isRevision);
@@ -2887,7 +2886,7 @@
                             externalSchemaLocation);
                 }
             } else if (ruleBase != null && ruleBase.equals(EML210)) {
-                MetaCatUtil.debugMessage("eml 2.1.0 parser", 20);
+                logMetacat.warn("eml 2.1.0 parser");
                 chandler = new Eml210SAXHandler(dbconn, action, docid, rev,
                         user, groups, pub, serverCode, createDate, updateDate);
                 chandler.setIsRevisionDoc(isRevision);
@@ -2924,7 +2923,7 @@
 
                 if (ruleBase != null && ruleBase.equals(SCHEMA)
                         && needValidation) {
-                    MetaCatUtil.debugMessage("General schema parser", 20);
+                    logMetacat.warn("General schema parser");
                     // turn on schema validation feature
                     parser.setFeature(VALIDATIONFEATURE, true);
                     parser.setFeature(NAMESPACEFEATURE, true);
@@ -2945,7 +2944,7 @@
 
                 } else if (ruleBase != null && ruleBase.equals(DTD)
                         && needValidation) {
-                    MetaCatUtil.debugMessage("dtd parser", 20);
+                    logMetacat.warn("dtd parser");
                     // turn on dtd validaton feature
                     parser.setFeature(VALIDATIONFEATURE, true);
                     eresolver = new DBEntityResolver(dbconn,
@@ -2954,7 +2953,7 @@
                     parser.setEntityResolver((EntityResolver) eresolver);
                     parser.setDTDHandler((DTDHandler) dtdhandler);
                 } else {
-                    MetaCatUtil.debugMessage("other parser", 20);
+                    logMetacat.warn("other parser");
                     // non validation
                     parser.setFeature(VALIDATIONFEATURE, false);
                     eresolver = new DBEntityResolver(dbconn,
@@ -2995,9 +2994,9 @@
             archiveDocAndNodesRevison(dbconn, docid, user, rootNodeId);
 
         }catch (Exception e) {
-            MetaCatUtil.debugMessage(
+            logMetacat.error(
                     "Error in DocumentImpl.archiveDocRevision : "
-                            + e.getMessage(), 30);
+                            + e.getMessage());
         }
        
         
@@ -3043,14 +3042,14 @@
         pstmt.close();
 
       } catch (SQLException e) {
-        MetaCatUtil.debugMessage(
+        logMetacat.error(
                 "Error in DocumentImpl.archiveDocAndNodesRevision : "
-                        + e.getMessage(), 30);
+                        + e.getMessage());
         throw e;
       } catch (Exception e) {
-        MetaCatUtil.debugMessage(
+        logMetacat.error(
                 "Error in DocumentImpl.archiveDocAndNodesRevision : "
-                        + e.getMessage(), 30);
+                        + e.getMessage());
         throw e;
       }
       finally {
@@ -3057,9 +3056,9 @@
         try {
             pstmt.close();
         } catch (SQLException ee) {
-            MetaCatUtil.debugMessage(
+            logMetacat.error(
                     "Error in DocumnetImpl.archiveDocRevision: "
-                            + ee.getMessage(), 50);
+                            + ee.getMessage());
         }
       }
        
@@ -3068,8 +3067,8 @@
     private static void moveNodesToNodesRevision(DBConnection dbconn,
                                        long rootNodeId) throws Exception
     {
-        MetaCatUtil.debugMessage("the root node id is "+rootNodeId+
-                " will be moved from xml_nodes to xml_node_revision table", 20);
+        logMetacat.warn("the root node id is "+rootNodeId+
+                " will be moved from xml_nodes to xml_node_revision table");
         PreparedStatement pstmt = null;
         // Move the nodes from xml_nodes to xml_revisions table...
         pstmt = dbconn.prepareStatement("INSERT INTO xml_nodes_revisions "
@@ -3120,17 +3119,17 @@
             pstmt.execute();
             pstmt.close();
         } catch (SQLException e) {
-            MetaCatUtil.debugMessage(
+            logMetacat.error(
                     "Error in DocumentImpl.archiveDocRevision : "
-                            + e.getMessage(), 30);
+                            + e.getMessage());
             throw e;
         } finally {
             try {
                 pstmt.close();
             } catch (SQLException ee) {
-                MetaCatUtil.debugMessage(
+                logMetacat.error(
                         "Error in DocumnetImpl.archiveDocRevision: "
-                                + ee.getMessage(), 50);
+                                + ee.getMessage());
                 throw ee;
             } finally {
                 //check in DBConnection
@@ -3163,9 +3162,9 @@
             try {
                 pStmt.close();
             } catch (SQLException e) {
-                MetaCatUtil.debugMessage(
+                logMetacat.error(
                         "error in DocumentImpl.deleteXMLDocuments: "
-                                + e.getMessage(), 50);
+                                + e.getMessage());
             } finally {
                 //return back DBconnection
                 DBConnectionPool.returnDBConnection(conn, serialNumber);
@@ -3221,9 +3220,9 @@
                 pStmt.close();
             }//try
             catch (Exception ee) {
-                MetaCatUtil.debugMessage(
+                logMetacat.error(
                         "Error in DocumentImpl.getServerLocationNu(): "
-                                + ee.getMessage(), 50);
+                                + ee.getMessage());
             }//catch
             finally {
                 DBConnectionPool.returnDBConnection(conn, serialNumber);
@@ -3277,15 +3276,15 @@
                 pStmt.close();
             }
         } catch (Exception e) {
-            MetaCatUtil.debugMessage("Error in DocumentImpl.getServerCode(): "
-                    + e.getMessage(), 30);
+            logMetacat.error("Error in DocumentImpl.getServerCode(): "
+                    + e.getMessage());
         } finally {
             try {
                 pStmt.close();
             } catch (Exception ee) {
-                MetaCatUtil.debugMessage(
+                logMetacat.error(
                         "Error in DocumentImpl.getServerCode(): "
-                                + ee.getMessage(), 50);
+                                + ee.getMessage());
             } finally {
                 DBConnectionPool.returnDBConnection(dbConn, serialNumber);
             }
@@ -3360,9 +3359,9 @@
             }
         }//try
         catch (Exception e) {
-            MetaCatUtil.debugMessage(
+            logMetacat.error(
                     "Error in DocumentImpl.insertServerIntoRepli(): "
-                            + e.getMessage(), 30);
+                            + e.getMessage());
         }//catch
         finally {
 
@@ -3373,9 +3372,9 @@
 
             }//try
             catch (Exception ee) {
-                MetaCatUtil.debugMessage(
+                logMetacat.error(
                         "Error in DocumentImpl.insetServerIntoRepl(): "
-                                + ee.getMessage(), 50);
+                                + ee.getMessage());
             }//catch
             finally {
                 DBConnectionPool.returnDBConnection(dbConn, serialNumber);
@@ -3481,7 +3480,7 @@
             if (action.equals("READ")) {
                 DocumentImpl xmldoc = new DocumentImpl(docid);
                 if (useOldReadAlgorithm) {
-                    MetaCatUtil.debugMessage(xmldoc.readUsingSlowAlgorithm(), 10);
+                    logMetacat.error(xmldoc.readUsingSlowAlgorithm());
                 } else {
                     xmldoc.toXml(new PrintWriter(System.out), null, null, true);
                 }
